Bug 456756 - Review Request: alien - A program that converts between the rpm, dpkg, stampede slp, and slackware tgz
Review Request: alien - A program that converts between the rpm, dpkg, stampe...
Status: CLOSED DUPLICATE of bug 695233
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 457210 457211
Blocks: FE-DEADREVIEW RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2008-07-26 11:24 EDT by leigh scott
Modified: 2011-04-11 02:19 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-08 16:28:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2008-07-26 11:24:46 EDT
Spec URL: http://www.linux-ati-drivers.homecall.co.uk/alien.spec
SRPM URL: http://www.linux-ati-drivers.homecall.co.uk/alien-8.72-1.fc9.src.rpm
Description: Alien is a program that converts between the rpm, dpkg, stampede slp, and slackware tgz file formats. If you want to use a package from another distribution than the one you have installed on your system, you can use alien to convert it to your preferred package format and install it.
Comment 1 leigh scott 2008-07-27 07:13:19 EDT
I am also seeking a sponsor. 
Comment 2 Patrice Dumas 2008-07-28 05:54:39 EDT
Unless I am wrong, alien depends on dpkg which is not in fedora.

I packaged it in the past, it is in
http://www.environnement.ens.fr/perso/dumas/fc-srpms/debian/dpkg-1.14.5-1.fc8.src.rpm
but needs certainly to be updated.
Comment 3 leigh scott 2008-07-28 09:28:19 EDT
You are correct, I think including dpkg support would be difficult due to it's
need for devhelper.

[root@localhost Desktop]# alien -d
'/home/leigh05/Desktop/compizconfig-backend-gconf-0.7.5+git20080423.shame-1.i386.rpm'
Package build failed. Here's the log:
dh_testdir
make: dh_testdir: Command not found
make: *** [build] Error 127
find: compizconfig-backend-gconf-0.7.5+git20080423.shame: No such file or directory
[root@localhost Desktop]# 
Comment 4 Patrice Dumas 2008-07-28 09:33:25 EDT
I also packaged it, together with other debian packages, also on:
http://www.environnement.ens.fr/perso/dumas/fc-srpms/debian/
Comment 5 leigh scott 2008-07-29 10:02:21 EDT
Thanks for the SRPM's and I have updated them .
I also had build debhelper against po4a 0.34 as it wouldn't build with 0.32

Here the latest build ( I used mock )

1. alien
2. dpkg
3. debhelper
4. html2text

http://www.linux-ati-drivers.homecall.co.uk/build.logs.tar.gz
http://www.linux-ati-drivers.homecall.co.uk/spec.files.tar.gz
http://www.linux-ati-drivers.homecall.co.uk/SRPM.tar.gz





Comment 6 Rahul Sundaram 2008-07-29 21:47:47 EDT
Please don't tar them all together. If you have dependencies, file individual
review requests and mark them as dependencies in bugzilla. Provide direct spec
file and SRPM for each of them. Thanks.
Comment 8 Jeff Perry 2008-07-30 16:42:31 EDT
It does not look like this depends on #457213 - it's actually the reverse.
I don't know if it should make the changes to these two bugs to fix this or if
only sponsored people should be making these sorts of edits.
Comment 9 leigh scott 2008-07-31 11:18:41 EDT
New SPEC & SRPM  ( changed requires due to dpkg changes )

http://www.linux-ati-drivers.homecall.co.uk/alien.spec
http://www.linux-ati-drivers.homecall.co.uk/alien-8.72-3.fc9.src.rpm
Comment 10 Fabian Affolter 2008-12-08 04:51:54 EST
Just two remark

- Shouldn't 'Build: perl' be 'Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))' ? -> https://fedoraproject.org/wiki/Packaging/Perl#Versioned_MODULE_COMPAT__Requires)

- You are mixing $RPM_BUILD_ROOT and %{buildroot}. -> https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
Comment 11 Fabian Affolter 2009-01-12 05:32:08 EST
Any progress on this?
Comment 12 leigh scott 2009-01-12 05:47:49 EST
(In reply to comment #11)
> Any progress on this?

Not yet , I am still working on getting the dep's passed ( dpkg debhelper )
Comment 13 Thomas Spura 2009-12-24 19:34:30 EST
Leigh, what's the state on this?

You didn't want to continue dpkg, what's with this one?
Comment 14 Thomas Spura 2010-01-08 16:28:59 EST
'Submitter not responding' -> NOTABUG
Comment 15 Dmitrij S. Kryzhevich 2011-04-11 02:19:12 EDT

*** This bug has been marked as a duplicate of bug 695233 ***

Note You need to log in before you can comment on or make changes to this bug.